package com.xzzn.ems.domain.vo;

import com.xzzn.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 点位清单导出参数
 */
public class DevicePointMatchExportVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 点位匹配字段 */
    @Excel(name = "点位匹配字段")
    private String matchField;

    /** 存储点位名称 */
    @Excel(name = "点位匹配字段名称")
    private String pointName;

    /** 数据枚举映射-导出枚举名称 */
    @Excel(name = "数据枚举映射")
    private String matchFieldEnum;

    /** 数据点位 */
    @Excel(name = "数据点位")
    private String dataPoint;

    /** 数据点位名称 */
    @Excel(name = "数据点位名称")
    private String dataPointName;

    /** 数据单位 */
    @Excel(name = "数据单位")
    private String dataUnit;

    /** 数据枚举 */
    @Excel(name = "数据枚举")
    private String dataEnum;

    /** 是否告警点位 */
    @Excel(name = "是否告警点位", readConverterExp = "0=否,1=是")
    private String isAlarm;

    /** 寄存器地址 */
    @Excel(name = "寄存器地址")
    private String ipAddress;

    /** 二次项系数 */
    @Excel(name = "a")
    private BigDecimal a;

    /** 一次项系数 */
    @Excel(name = "k")
    private BigDecimal k;

    /** 常量 */
    @Excel(name = "b")
    private BigDecimal b;

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public String getMatchField() {
        return matchField;
    }

    public void setMatchField(String matchField) {
        this.matchField = matchField;
    }

    public String getMatchFieldEnum() {
        return matchFieldEnum;
    }

    public void setMatchFieldEnum(String matchFieldEnum) {
        this.matchFieldEnum = matchFieldEnum;
    }

    public String getDataPoint() {
        return dataPoint;
    }

    public void setDataPoint(String dataPoint) {
        this.dataPoint = dataPoint;
    }

    public String getDataPointName() {
        return dataPointName;
    }

    public void setDataPointName(String dataPointName) {
        this.dataPointName = dataPointName;
    }

    public String getDataUnit() {
        return dataUnit;
    }

    public void setDataUnit(String dataUnit) {
        this.dataUnit = dataUnit;
    }

    public String getDataEnum() {
        return dataEnum;
    }

    public void setDataEnum(String dataEnum) {
        this.dataEnum = dataEnum;
    }

    public String getIsAlarm() {
        return isAlarm;
    }

    public void setIsAlarm(String isAlarm) {
        this.isAlarm = isAlarm;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public BigDecimal getA() {
        return a;
    }

    public void setA(BigDecimal a) {
        this.a = a;
    }

    public BigDecimal getK() {
        return k;
    }

    public void setK(BigDecimal k) {
        this.k = k;
    }

    public BigDecimal getB() {
        return b;
    }

    public void setB(BigDecimal b) {
        this.b = b;
    }
}
